nix3-profile-rollback(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix profile rollback - roll back to the previous version or a specified version of a profile

Synopsis
nix profile rollback [option…]

Examples

•   Roll back your default profile to the previous version:

    # nix profile rollback
    switching profile from version 519 to 518

•   Switch your default profile to version 510:

    # nix profile rollback --to 510
    switching profile from version 518 to 510

Description
This command switches a profile to the most recent version older than the currently active version, or if --to N is given, to version N of the profile. To see the available versions of a profile, use nix profile history.

Options

•   --dry-run
    Show what this command would do without doing it.

•   --profile path
    The profile to update.

•   --to version
    The profile version to roll back to.